datablock ItemData(satchelDetonatorItem)
{
	shapeFile = "./detonator.dts";
	uiName = "Satchel Detonator";
	doColorShift = true;
	colorShiftColor = "0.5 0.7 0.5";
	iconName = "./icon_detonator";
	
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	
	canDrop = true;
	
	image = satchelDetonatorImage;
};

datablock ShapeBaseImageData(satchelDetonatorImage)
{
	shapeFile = "./detonator.dts";
	
	offset = "0 0 0";
	rotation = eulerToMatrix("0 3 0");
	
	armReady = true;
	minShotTime = 700;
	
	//projectile = snarkProjectile;
	doColorShift = true;
	colorShiftColor = satchelDetonatorItem.colorShiftColor;
	
	stateName[0]                     	= "Activate";
	stateTimeoutValue[0]            	= 0.15;
	stateTransitionOnTimeout[0]       	= "WaitForRelease";
	stateSound[0]						= weaponSwitchSound;
	
	stateName[7]						= "WaitForRelease";
	stateTransitionOnTriggerUp[7]		= "Ready";
	stateSequence[7]					= "Ready";

	stateName[1]                     	= "Ready";
	stateTransitionOnTriggerDown[1]  	= "Fire";
	stateAllowImageChange[1]         	= true;
	stateSequence[1]				 	= "Ready";

	stateName[2]                    	= "Fire";
	stateTransitionOnTimeout[2]     	= "Smoke";
	stateTimeoutValue[2]            	= 0.14;
	stateFire[2]                    	= true;
	stateAllowImageChange[2]        	= false;
	stateSequence[2]                	= "Fire";
	stateScript[2]                  	= "onFire";
	stateWaitForTimeout[2]				= true;
	stateEmitter[2]						= "";
	stateEmitterTime[2]					= 0.05;
	stateEmitterNode[2]					= "muzzleNode";
	stateSound[2]						= brickPlantSound;
	stateEjectShell[2]       			= true;

	stateName[3] 						= "Smoke";
	stateEmitter[3]						= "";
	stateSequence[3]                	= "Fire";
	stateEmitterTime[3]					= 0.05;
	stateEmitterNode[3]					= "muzzleNode";
	stateTimeoutValue[3]            	= 0.5;
	stateTransitionOnTriggerUp[3]     	= "Reload";

	stateName[4]						= "Reload";
	stateSequence[4]                	= "AllUp";
	stateScript[4]						= "onDone";
	stateTransitionOnTriggerUp[4]     	= "PostFireA";
	
	stateName[6]						= "PostFireA";
	stateTimeoutValue[6]				= 0.15;
	stateScript[6]						= "onDone";
	stateTransitionOnTimeout[6]			= "PostFire";
	
	stateName[5]						= "PostFire";
	stateTransitionOnTriggerDown[5]		= "Fire";
	stateSequence[5]					= "AllUp";
};

function satchelDetonatorImage::onFire(%this, %player, %slot)
{
	%player.DetonateSatchelCharges();
	%player.playThread(2, plant);
}

function satchelDetonatorImage::onDone(%this, %player, %slot)
{
	%client = %player.client;
	
	if(!$Pref::SatCharge_InfUses)
	{
		%currTool = %player.currTool;
		%player.tool[%currTool] = 0;
		%player.weaponCount--;
		messageClient(%client, 'MsgItemPickup', '', %currTool, 0);
		serverCmdUnUseTool(%client);
	}
}
